
def display_random_table(data):
    from rich.table import Table
    from random import shuffle

    # Shuffle the data to get a random order
    shuffle(data)

    # Create a new table
    table = Table(show_header=True, header_style="bold magenta")

    # Add headers
    table.add_column("Name", justify="left", style="magenta")
    table.add_column("Age", justify="right", style="magenta")
    table.add_column("City", justify="left", style="magenta")

    # Add data rows
    for item in data:
        table.add_row(item["Name"], str(item["Age"]), item["City"])

    # Print the table
    print(table)



